/*
 * Copyright © 2020 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of gaming-core.
 *
 * Gaming-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Gaming-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * gaming-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.core.ui.type;

/**
 * Exception thrown while visiting a {@link FieldType}.
 */
public final class FieldTypeException extends Exception {

    private static final long serialVersionUID = 2308380313090091450L;

    /**
     * Creates a {@link FieldTypeException}.
     *
     * @param message The exception message.
     * @param cause   The exception that caused this one to be thrown.
     */
    public FieldTypeException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * Creates a {@link FieldTypeException}.
     *
     * @param message The exception message.
     */
    public FieldTypeException(final String message) {
        super(message);
    }

    /**
     * Creates a {@link FieldTypeException}.
     *
     * @param cause The exception that caused this one to be thrown.
     */
    public FieldTypeException(final Throwable cause) {
        super(cause);
    }
}
